Package org.kapott.hbci.datatypes

# Class SyntaxAN

java.lang.Object
org.kapott.hbci.datatypes.SyntaxDE
org.kapott.hbci.datatypes.SyntaxAN

Direct Known Subclasses:
  `SyntaxCode`, `SyntaxDTAUS`, `SyntaxID`, `SyntaxJN`

public class SyntaxAN extends SyntaxDE

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`SyntaxAN()`
``
`SyntaxAN(StringBuffer res, int minsize, int maxsize)`
``
`SyntaxAN(String x, int minlen, int maxlen)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`init()`
`void`
`init(StringBuffer res, int minlen, int maxlen)`
`void`
`init(String x, int minlen, int maxlen)`
`protected static String`
`quote(String x)`
`String`
`toString(int zero)`
`protected static String`
`unquote(String st)`

### Methods inherited from class org.kapott.hbci.datatypes.SyntaxDE

`destroy, findNextDelim, getContent, setContent, skipPreDelim, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SyntaxAN

public SyntaxAN(String x, int minlen, int maxlen)

See Also:
  - `SyntaxDE`

### SyntaxAN

protected SyntaxAN()

See Also:
  - `SyntaxDE`

### SyntaxAN

public SyntaxAN(StringBuffer res, int minsize, int maxsize)

Parameters:
  `res` - A part of the HBCI-message to be parsed. From this (sub-)string the first token will be used to initialize the data element.
  `minsize` - The minimum string length for this element.
  `maxsize` - The maximum string length for this element (or zero). See SyntaxDE::setContent(String,int,int,int).

## Method Details

### quote

protected static String quote(String x)

Parameters:
  `x` - The String to be quoted.
Returns:
  A String where all HBCI-specific characters in @p x are quoted using @c ?

### init

public void init(String x, int minlen, int maxlen)

Overrides:
  `init` in class `SyntaxDE`

### init

protected void init()

Overrides:
  `init` in class `SyntaxDE`

### toString

public String toString(int zero)

Overrides:
  `toString` in class `SyntaxDE`
Parameters:
  `zero` - Just a dummy argument to overload the toString method.
Returns:
  A String containing the HBCI representation of this data element
See Also:
  - `SyntaxDE`

### init

public void init(StringBuffer res, int minlen, int maxlen)

Overrides:
  `init` in class `SyntaxDE`

### unquote

protected static String unquote(String st)

Parameters:
  `st` - the String to be unquoted
Returns:
  an unquoted string, i.e. with all HBCI-quotes (?) removed